List
curl --request GET \
--url https://logistics.api.smartcp.org/v1/drivers \
--header 'Authorization: Bearer <token>' \
--header 'X-Client-Directory: <api-key>'const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Client-Directory': '<api-key>'}
};
fetch('https://logistics.api.smartcp.org/v1/drivers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://logistics.api.smartcp.org/v1/drivers"
headers = {
"Authorization": "Bearer <token>",
"X-Client-Directory": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://logistics.api.smartcp.org/v1/drivers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Client-Directory: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": 200,
"message": "OK",
"data": [
{
"id": 125,
"surname": "KOWALSKI",
"name": "JAN",
"phone": "+48 123 456 789",
"id_number": "ABC123456",
"employment": "Employment contract",
"permitted_countries": [
"de",
"fr"
],
"license_category": "C+E",
"driver_license_number": "12345/26",
"driver_card_id": "PL1234567890",
"trainee": false,
"adr": true,
"avsec": false,
"gdp": false,
"tapa": false,
"status": "base",
"documents": [
{
"id": 48,
"document_id": 3,
"name": "Driving licence",
"date_from": "2024-01-10",
"date_to": "2029-01-10",
"date_to_indefinite": false,
"file_url": "https://s1.smartcp.org/logistics/client/driver-license.pdf",
"file_extension": "pdf"
}
],
"workplanning": [
{
"id": 902,
"status": "car",
"date_from": "2026-09-20",
"date_to": "2026-10-05",
"vehicle": {
"nr": "DW 1234A",
"name": "Mercedes Actros 01"
},
"title": null,
"description": null
}
]
}
]
}{
"status": 401,
"message": "Authentication failed",
"data": null
}{
"status": 422,
"message": "The surname field is required.",
"data": null
}{
"status": 429,
"message": "Too Many Attempts.",
"data": null
}{
"status": 500,
"message": "Internal Server Error",
"data": null
}Drivers
List
Returns all drivers with their profile, qualification, and current status data. Use the optional with query parameter to include documents or current and future work planning entries.
GET
/
drivers
List
curl --request GET \
--url https://logistics.api.smartcp.org/v1/drivers \
--header 'Authorization: Bearer <token>' \
--header 'X-Client-Directory: <api-key>'const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Client-Directory': '<api-key>'}
};
fetch('https://logistics.api.smartcp.org/v1/drivers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://logistics.api.smartcp.org/v1/drivers"
headers = {
"Authorization": "Bearer <token>",
"X-Client-Directory": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://logistics.api.smartcp.org/v1/drivers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Client-Directory: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": 200,
"message": "OK",
"data": [
{
"id": 125,
"surname": "KOWALSKI",
"name": "JAN",
"phone": "+48 123 456 789",
"id_number": "ABC123456",
"employment": "Employment contract",
"permitted_countries": [
"de",
"fr"
],
"license_category": "C+E",
"driver_license_number": "12345/26",
"driver_card_id": "PL1234567890",
"trainee": false,
"adr": true,
"avsec": false,
"gdp": false,
"tapa": false,
"status": "base",
"documents": [
{
"id": 48,
"document_id": 3,
"name": "Driving licence",
"date_from": "2024-01-10",
"date_to": "2029-01-10",
"date_to_indefinite": false,
"file_url": "https://s1.smartcp.org/logistics/client/driver-license.pdf",
"file_extension": "pdf"
}
],
"workplanning": [
{
"id": 902,
"status": "car",
"date_from": "2026-09-20",
"date_to": "2026-10-05",
"vehicle": {
"nr": "DW 1234A",
"name": "Mercedes Actros 01"
},
"title": null,
"description": null
}
]
}
]
}{
"status": 401,
"message": "Authentication failed",
"data": null
}{
"status": 422,
"message": "The surname field is required.",
"data": null
}{
"status": 429,
"message": "Too Many Attempts.",
"data": null
}{
"status": 500,
"message": "Internal Server Error",
"data": null
}Authorizations
Client API key sent as a bearer token.
Client directory identifier. Legacy directory header is still accepted for backward compatibility.
Query Parameters
Related data to include, for example with=documents,workplanning. PHP-style array syntax such as with[]=documents&with[]=workplanning is also accepted.
Available options:
documents, workplanning